#include "crogue.h"

void Graph_DrawTile(UI_Tilefield *tf, int x, int y, UI_TF_TileInfo tile)
{
	uchar target_color;
	if(tile.lighting == LIGHTING_LIT)
		target_color = tile.color.lit;
	else
		target_color = tile.color.dark;
	attroff(COLOR_PAIR(DEFAULT_COLOR));
	if(target_color & COLOR_BOLD)
		attron(A_BOLD);
	attron(COLOR_PAIR((target_color&~COLOR_BOLD)+1));
	mvaddch(y+tf->pos.y, x+tf->pos.x, tiles[tile.tile]);
	if(target_color & COLOR_BOLD)
		attroff(A_BOLD);
	attroff(COLOR_PAIR((target_color&~COLOR_BOLD)+1));
	attron(COLOR_PAIR(DEFAULT_COLOR));
}
